#ifndef GLOBALSIGNAL_H
#define GLOBALSIGNAL_H

#include <QObject>


/** ******************************
 * 用户全局信号，主要用来发送主动信号
 *********************************/
class GlobalUserSignal : public QObject
{
    Q_OBJECT

public:
    static GlobalUserSignal* getInstance();

    bool historyButtonIsShow = false;
    bool lyricsButtonIsShow = false;
    void exitApp(); // 退出
    void deleteAllHistoryPlaylistMessageBox(); // 显示历史列表删除对话框
    void hideSearchResult(); // 隐藏搜索列表
    void repaintLeftSidebarWidget(); // 刷新左侧歌单

//signals:
Q_SIGNALS:
    void sigExit();
    void sigDeleteAllHistoryPlaylistMessageBox();
    void sigHideSearchResult();
    void sigRepaintLeftSidebarWidget();
    void initPlaySongArea();            //将进度条设置为00:00，将进度条上方歌曲名字设置为“音乐”
    void sigPlayFirst();                //播放播放列表中的第一个
    void sigOpenUri(QString);                  //调用了DBus接口OpenUri
    void sigStatuChange(QString);              //播放状态发生改变
    void sigLoopStatusChange(QString);         //当前循环/重复状态发生切换
    void sigrateChange(double);                //当前播放速率发生改变
    void sigVolumeChange(int);              //音量发生改变
private:
    explicit GlobalUserSignal(QObject *parent = nullptr);
    static GlobalUserSignal* instance;
};


#define g_user_signal GlobalUserSignal::getInstance()

#endif // GLOBALSIGNAL_H
